スポンサーサイト

  • このエントリーをはてなブックマークに追加
  • Pocket
上記の広告は1ヶ月以上更新のないブログに表示されています。
新しい記事を書く事で広告が消せます。

Amazon.co.jpアソシエイト

  • このエントリーをはてなブックマークに追加
  • Pocket

Xperia acroのroot取得するまでにぶちあたった問題

  • このエントリーをはてなブックマークに追加
  • Pocket
Xperia acroの容量の少なさは理解して発売当日に買いましたが、その後アップデートで続々と容赦なく増えるサイズのでかいプリインアプリに耐え切れなくなったので今日数時間かけてroot化しました。

やり方はたくさん他の方が書いてくださっているのでそちらを参照してもらって・・・。

ここでは自分がダウングレードからroot化するまでにぶちあたった問題で、ネットにも見当たらなかったものをメモっています。
ダウングレードする理由はroot化するには最新のバージョンではダメなようなので。

いくつかの問題のおかげで1時間で済みそうなものが5時間近くかかりました・・・orz

root化を推奨している記事ではありません。
また、作業は自己責任でお願いします。



ダウングレード時の問題


ダウングレードするときはFlashtoolを使いましたがここでエラーが複数。


ドライバが入っていないことによるエラー



手順通りFlashtoolからFlashmodeでUSB接続して書き込みを始めますが途中でエラーが発生。
やってるときは必死だったのでスクリーンショットがないのが申し訳ありませんが、ドライバーが入っていないせいだとのこと。

エラーメッセージに続くメッセージは

flashtool drivers need to be installed for connected device


とかだっだと思います。

原因がわかっているならばそれを実行すればいいだけなので言われた通りドライバーを入れます。

ドライバーは「Flashtool」フォルダの「drivers」フォルダに入っている
「Flashtool-drivers.exe」
を起動して指示に従ってインストールします。

これでこの問題はとりあえず解決。この解決法はネットではちらほら見かけました。


Flashtoolのバージョンに起因するエラー



上のエラーが解決したので今度はいけるかとおもいきやまたしても実行中に途中でエラーが。

エラーメッセージは

sin header verification failed


ともう1,2個別のメッセージの場合もありました。

自分はXperia acroなので「SO-02C_4.0.1.C.1.9_docomo.ftf」を使っていましたが、どうやらこれをちゃんとFlashtoolが認識していない様子。

試しにSO-03CのROMや他のも読み込ませてみたらFlashtoolの挙動がSO-02Cのときとは変わりました。



この画面でどうもSO-02CのROMだけ表示が他のと違ったんだよね。SO-02CのROMを選択しても項目が変わらなかった。

ということはSO-02CのROM自体に問題があるのでは?
と思い色んなサイトからSO-02CのROMを探し出して使ってみるもどれも同じ。

原因がわからず途方に暮れていましたがふとFlashtoolのバージョンがもしや原因なのではとやっと気づきました。

自分が使っていたのは2012年9月22日時点で最新の「Windows Edition - v0.9.6.0」を使っていました。
これをアンインストールして古いバージョンの「Windows Edition v0.6.8」をインストール。
(ダウンロードリンク:Windows Edition v0.6.8(uploaded.net)リンク切れ

追記:
・uploaded.netからのダウンロード方法
 1. 「Free Download」をクリックして30秒待ちます。
flashtool_download_tips01.png

 2. 表示された英数字を入力してDownloadをクリックします。(下の画像の場合は「4820 eptrld」と入力。)

flashtool_download_tips02.png

 3. 入力した英数字が合っていればダウンロード出来ます。合っていなければ入力し直しとなります。

uploaded.netではフリーユーザーだと同時に複数のファイルをダウンロードしたりはできないので注意してください。また、一度ファイルをダウンロードするとそのアップロードサイトから一定時間他のファイルもしくは同じファイルをダウンロードすることはできません。(1時間ぐらい?)




そしたら見事書き込みは最後まで完了。
やったー!

まさかSO-02Cだけ最新バージョンでは使えなかったとは・・・。
あれだけ時間かかったのがバージョン一つの問題でした。

もしacroユーザーで意味の分からないエラーメッセージにぶちあたっている人がいたらFlashtoolのバージョンを落としてみたりすると解決するかもしれません。

以下追記

root取得時の問題


root化するときのことを書くのを忘れてたので追記w

root化はDooMLoRD氏のツールを使った訳ですがここでも注意しなければいけないことがあります。

手順通りroot化するとしたら「runme.bat」を起動して何かキーを押すだけで全て自動で行なってくれます。
が、いざroot取得できる!と意気込んで何かキーを押してみたら

指定されたパスが見つかりません


のオンパレード。

またエラー・・・。しかしこういう作業にはトラブルはつきものなのでめげずになんとかします。

ネットで見つけたチュートリアルを正しくやってきたつもりだったので他のところに問題があると予想。
そしてパスがどうのといっているのでPCのDooMLoRDツールのあるパスを確認。

自分は「D:\携帯\root取得\DooMLoRD\runme.bat」みたいなパスになっていました。
確かこういうのは日本語は嫌われていたはず。
ということでD:直下にDooMLoRDフォルダを置きrunme.batを起動。

そうしたらちゃんとプログラムが進行・・・。
完了しました。

Patch当てなどパス指定のあるものは日本語パスに気をつけなくてはいけませんね。
関連記事

Amazon.co.jpアソシエイト

  • このエントリーをはてなブックマークに追加
  • Pocket

ノートPCのUSB端子でショートする次の記事

Black Mesa - 改良リメイク前の記事

comment iconコメント

comment avater

れんどる

助かりました!

れんどる

はじめまして。
他のサイトを見てやってみたけどできず・・、ここに辿り着きました。
とても参考になりました!ありがとうございます!

2013年02月03日 20:37

comment avater

AvensisL

はじめまして

AvensisL

こんにちは

お役に立てて何よりです!

2013年02月04日 20:20

comment avater

ABC

まだバージョンの書き換えができません。

ABC

接続は確認できるのですがなかなか始まりません。
端末を接続すると同時に出てくるDevice Selrctionは選択しなければならないのでしょうか。
Xperia acro IS12Sを使用してます。

2013年02月17日 16:32

comment avater

AvensisL

Re:まだバージョンの書き換えができません。

AvensisL

Device Selectionの画面とは
http://blog-imgs-53.fc2.com/n/a/t/nattomix/flashtool_device_selection.png
これのことでしょうか?
Device Selectionでは機種を選択する必要はありません。というより手順上ではDevice Selectionの画面は出て来なかった覚えがあります。
端末とPCを接続するタイミングは、FlashtoolでFlashmodeを選択し、Firmware Selectionでftfファイルを選択したあとに出てくる画面上だったと思います。↓
http://blog-imgs-53.fc2.com/n/a/t/nattomix/flashtool_connect.png

ちなみに接続するときは
・端末の電源はOFF
・端末のバックキーを押しながら
です。

2013年02月17日 17:43

comment avater

aaa

aaa

なぜか旧バージョン(6.8)がダウンロードできない
制限が何とかって
もう心が折れそうです

2013年03月12日 12:53

comment avater

AvensisL

AvensisL

制限についてはよくわかりませんが、通常のダウンロードするまでの手順を記事に追記しておきましたので見てみてください。

2013年03月12日 19:53

comment avater

よっしー555

よっしー555

小生も ドコモftfファイルへの書き換えで エラーが発生して 困っておりました。
まさか flashtoolの旧バージョンでないと 対応できないとは思いもしませんでした。
本当に感謝です。

2013年04月17日 12:49

comment avater

AvensisL

AvensisL

最初は自分も最新版なら確実だろうと思って使っていたんですが逆の結果を招くこともあるんですね。
お力になれて良かったです。

2013年04月18日 14:53

comment avater

MI

MI

FlashtoolでFlashmodeを選択するのですが、Firmware Selectionにftfファイルが表示されません。PCのエクスプローラーから見るとちゃんと入っているのですが…。どうしたらいいでしょうか…?

2014年04月08日 22:48

comment avater

Silkycloud

Re:

Silkycloud

Flashtoolでftfファイルを読み込ませるにはFlashtoolのフォルダ内の「firmwares」フォルダにftfファイルを置いておかなくてはいけませんが、置かれていますでしょうか?
Xperia acroの場合ですと、「Flashtool\firmwares\SO-02C_4.0.1.C.1.9_docomo.ftf」といったパスになります。

もしftfファイルをちゃんと置いているにもかかわらず表示されないのであればftfファイルが正しいものではない、またはFlashtoolが正しくインストールされていないなどが考えられます。

2014年04月08日 23:33

comment avater

名無し

名無し

so-o1bをos2.3にしようと今日1日あれやこれやしてここのサイトにたどり着きました。ここの記事に書いてある様にflashtoolを0.68でやったらすんなりいけました。他の皆様も書いてあるとおり最新のバージョンだとエラーが出てダメなんですね。助かりました。ありがとうございました。

2014年05月25日 18:53

comment avater

管理人

Re:

管理人

最新バージョンは古い機種に対応していないということなんですかねぇ。
それならそれで注意書きが欲しいところです。

お役に立てて幸いです。

2014年05月25日 23:07

コメントの投稿



trackback iconトラックバック

トラックバックURL:

この記事にトラックバックする(FC2ブログユーザー)

上記広告は1ヶ月以上更新のないブログに表示されています。新しい記事を書くことで広告を消せます。